<?php

namespace App\Http\Controllers;

use App\Models\AgeingAnalysis;
use Illuminate\Http\Request;

class AgeingAnalysisController extends Controller
{
    public function index()
    {
        return view('ageing_analysis.form');
    }

    public function store(Request $request)
    {
        $data = $request->validate([
            'ageCode' => 'required|string',
            'description' => 'required|string',
            'ageingGroup' => 'required|string',
            'intervalType' => 'required|string',
            'interval' => 'required|string',
            'customIntervals' => 'nullable|array',
            'customAgeGroups' => 'nullable|array',
        ]);

        $ageingAnalysis = AgeingAnalysis::create([
            'age_code' => $data['ageCode'],
            'description' => $data['description'],
            'ageing_group' => $data['ageingGroup'],
            'interval_type' => $data['intervalType'],
            'interval' => $data['interval'],
            'custom_intervals' => $data['customIntervals'] ?? null,
            'custom_age_groups' => $data['customAgeGroups'] ?? null,
        ]);

        return redirect()->route('ageing-analysis.index')->with('success', 'Ageing Analysis saved successfully!');
    }
}
