
@extends('layouts.nav')
@section('title')
Currency
@endsection
@section('content')               
@php
$PermissionsAddCurrency = App\Models\PermissionsUserModel::getPermission('Add Currency', Auth::user()->id);
$PermissionsEditCurrency = App\Models\PermissionsUserModel::getPermission('Edit Currency', Auth::user()->id);
$PermissionsDeleteCurrency = App\Models\PermissionsUserModel::getPermission('Delete Currency', Auth::user()->id);
@endphp
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">System Currency</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Currency</h6>
                        </div>
                        @if (session('success'))
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                {{ session('success') }}
                            </div>
                        @endif
                      
                        @if ($errors->any())

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                @foreach ($errors->all() as $error)
                                                <div style="color: red; ">{{ $error }}</div>
                                                @endforeach
                                        
                                            </div>
                                        </div>
                                    </div>
                                    @endif

                            @if(!empty($PermissionsAddCurrency))                        
                            <form class="card-body" action="{{route('addcurrency')}}" method="post"  id="accountTypeForm">
                            @csrf
                            <input type="hidden" id="accountId" name="id" value="">
                              

                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                   
                                    <input type="text" class="form-control form-control-user" id="symbol" placeholder="Currency Symbol" name="symbol"  value="{{ old('symbol') }}" required  >
                                    
                                    </div>
                                    <div class="col-sm-6">
                                    <input type="text" class="form-control form-control-user" id="name" placeholder="Currency Name" name="name"  value="{{ old('name') }}" required>
                                   
                                    
                                    </div>
                                    
                                </div>

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('','', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             @endif
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Currency Symbol</th>
                                            <th>Currency Name</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Currency Symbol</th>
                                            <th>Currency Name</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                      
                                    @foreach ($currencys as $currency)
                                            <tr>
                                        
                                                <td>{{ $currency->Symbol }}</td> 
                                                <td>{{ $currency->Name }}</td>
                            
                                                <td style="justify-content: center; align-items: center;">
                                                   @if(!empty($PermissionsEditCurrency))
                                                    <a href="" onclick="editAccountType(event,'{{ $currency->ID }}', '{{ $currency->Symbol }}', '{{ $currency->Name }}')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    @endif
                                                    @if(!empty($PermissionsDeleteCurrency))
                                                    <a href="{{route('deletecurrency',['id'=>$currency->ID])}}" class="btn btn-danger btn-circle"   onclick="return confirmDelete('{{ $currency->Name }}');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    @endif
                                                </td>
                                                
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,Symbol, Name) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('symbol').value = Symbol;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Edit Currency';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '{{route("editcurrency")}}';
                            }
                
                            function refreshAccountType( id,Symbol, Name) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('symbol').value = Symbol;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Add Currency';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '{{route("addcurrency")}}';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Account Type: " + Name + "?");
                            }


                
                </script>

                    @endsection